/*
 * DisplayFactory.cpp
 *
 *  Created on: December 28, 2019
 *      Author: Andreas Schneider, Johannes Wendel, Jonas Zeunert
 */

#include <output/DisplayBoardPinController.h>
#include "DisplayFactory.h"


namespace flippR_driver
{
namespace output
{

DisplayFactory::DisplayFactory(nlohmann::json &object, std::shared_ptr<DisplayBoardPinController> pin_controller) :
  Factory{object, pin_controller}
{

}

std::map<std::string, std::shared_ptr<items::Item>> DisplayFactory::getItemMap()
{
  return std::map<std::string, std::shared_ptr<items::Item>>();
}

}
}
